Skip to content

Pockets

Use these endpoints to view Pocket information. Jiko Pockets consist of a bank account and a brokerage account. When funds are deposited into a Pocket, they're immediately invested in T-bills.

List Customer Pockets

Request

This endpoint lists all the pockets for a given customer. It returns a Pockets object which is a paginated list of Pocket objects.

Security
CodeBearer(Required scopes: pockets.read)
Query
offsetinteger, >= 0(Offset)
Default:0
limitinteger, [ 1 .. 30 ](Limit)
Default:30
valuation_typeValuationType (string) or null(Valuation Type)
Any of:
string(ValuationType)
Enum:"rfq""jikonet"
status[]Array of strings or null(Status[])
Any of:
Array of strings
omit[]Array of strings or null(Omit[])
Any of:
unique
Array of strings
curl -i -X GET \
  'https://customer-api.sandbox-api.jikoservices.com/api/v2/pockets/?offset=0&limit=30&valuation_type=rfq&status%5B%5D=PENDING&omit%5B%5D=portfolio' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
offsetinteger(Offset)required
countinteger(Count)required
itemsArray of objects(Items)required

Customer pockets list

object_typestring(Object Type)
Default:"List"
Response
{ "offset": 0, "count": 0, "items": [ { … } ], "object_type": "List" }